Bug 1826488 - Edit ClusterServiceVersion should not be a first class Action
Summary: Edit ClusterServiceVersion should not be a first class Action
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.5.0
Assignee: Robb Hamilton
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks: 1827306
TreeView+ depends on / blocked
 
Reported: 2020-04-21 19:09 UTC by bpeterse
Modified: 2020-07-13 17:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1827306 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:29:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 5156 0 None closed Bug 1826488: Remove `Edit ClusterServiceVersion` menu options from C… 2020-09-15 17:42:58 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:30:10 UTC

Description bpeterse 2020-04-21 19:09:48 UTC
Original issue reported in Jira:
- https://issues.redhat.com/browse/CONSOLE-2164

Description of problem:


The ClusterServiceVersion is not a resource we generally want admins interacting with, but today when you go to Operators -> Installed Operators -> Some Operator, the Actions dropdown has Edit ClusterServiceVersion as the first available action.

We should remove this action entirely since the admin would still be able to directly edit the YAML from the YAML tab if there was a need to hack / workaround some problem.

Comment 1 bpeterse 2020-04-21 19:10:28 UTC
We may want to backport this.

Comment 5 Yanping Zhang 2020-04-24 06:38:32 UTC
Checked on 4.5 cluster with payload 4.5.0-0.nightly-2020-04-23-202137.
Install an operator from console, then check installed operators, click kebab action, there is no "Edit ClusterServiceVersion" menu now.

Comment 6 errata-xmlrpc 2020-07-13 17:29:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.